Bug 1316651 - Docker run read-only: System error: read-only file system
Docker run read-only: System error: read-only file system
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker (Show other bugs)
7.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Walsh
atomic-bugs@redhat.com
docker-autotest:0.8.5:docker_cli/top/...
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 11:45 EST by Chris Evich
Modified: 2016-05-12 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 11:17:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evich 2016-03-10 11:45:36 EST
Description of problem:
With the most updated RHEL and Atomic, running an image with --read-only fails and returns an error.

Version-Release number of selected component (if applicable):

# atomic host status
  TIMESTAMP (UTC)         VERSION     ID             OSNAME               REFSPEC                                                        
* 2016-03-01 01:35:21     7.2.2-2     8b2cf24b42     rhel-atomic-host     rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard     

# docker version
Client:
 Version:      1.8.2-el7
 API version:  1.20
 Package Version: docker-1.8.2-10.el7.x86_64
 Go version:   go1.4.2
 Git commit:   a01dc02/1.8.2

How reproducible:
Trivial

Steps to Reproduce:
1. # docker run --read-only --name sleeper registry.access.redhat.com/rhel7/rhel:latest sleep 1m

Actual results:
Timestamp: 2016-03-10 16:42:44.672730324 +0000 UTC
Code: System error

Message: read-only file system

Frames:
---
0: setupRootfs
Package: github.com/opencontainers/runc/libcontainer
File: rootfs_linux.go@39
---
1: Init
Package: github.com/opencontainers/runc/libcontainer.(*linuxStandardInit)
File: standard_init_linux.go@52
---
2: StartInitialization
Package: github.com/opencontainers/runc/libcontainer.(*LinuxFactory)
File: factory_linux.go@242
---
3: initializer
Package: github.com/docker/docker/daemon/execdriver/native
File: init.go@35
---
4: Init
Package: github.com/docker/docker/pkg/reexec
File: reexec.go@26
---
5: main
Package: main
File: docker.go@19
---
6: main
Package: runtime
File: proc.go@63
---
7: goexit
Package: runtime
File: asm_amd64.s@2232
Error response from daemon: Cannot start container 3e3fdabf598d6a590d690a94947fe4c6adc15ec17c84f70bc1415eb3e98bf98e: [8] System error: read-only file system


Expected results:
Container should start, sleep, then exit gracefully after one minute
Comment 2 Daniel Walsh 2016-03-10 12:40:06 EST
Hopefully this is fixed in docker-1.9.  I don't see the problem in docker-1.10
Comment 3 Chris Evich 2016-03-10 13:03:38 EST
(In reply to Daniel Walsh from comment #2)
> Hopefully this is fixed in docker-1.9.  I don't see the problem in
> docker-1.10

Yes, this test does not fail in docker 1.9.1:
https://url.corp.redhat.com/c49936f
(internal CI results)
Comment 4 Daniel Walsh 2016-03-10 13:37:28 EST
Fixed in docker-1.9.
Comment 6 Luwen Su 2016-05-01 07:10:21 EDT
Per comment#3, move to verified
Comment 8 errata-xmlrpc 2016-05-12 11:17:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1034.html

Note You need to log in before you can comment on or make changes to this bug.